<template>
  <div class="internet_data">

    <!-- 左侧tab栏 -->
    <div class="left_tab">
      <tab-single 
       v-for="(item,index) in tabArr"
       :id="index"
       :key="index"
       :icon="item.icon" 
       :title="item.title"
       :activeTab="activeTab"
       @click.native="toggleActive(index)"
      />
    </div>

    <!-- 右侧表格 -->
    <div class="right">

    <!-- 智能安全帽 -->
    <helmet
    />

    </div>
  </div>
</template>

<script>
import tabSingle from "../components/tabSingle.vue";
import helmet from '../views/helmet.vue'
export default {
  data (){
    return {
      // 左侧tab数据
      tabArr: [
      {icon: "\ue77f", title: "智能安全帽"},
      {icon: "\ue764", title: "温度传感器"},
      {icon: "\ue769", title: "其他传感器"}
      ],
      activeTab: 0

      // 
    }
  },

  components: {
    tabSingle,
    helmet
  },

  methods: {
    toggleActive(index) {
      this.activeTab = index
    }
  }
}
</script>

<style scoped lang="less">
* {
box-sizing: border-box;
}

.internet_data {
display: flex;
height: 100%;
background-color: #fff;
border-top: 1px solid #E0E0E0;

  .left_tab {
    padding: 20px;
    width: 230px;
    height: 100%;

    .tab_single {
      margin-bottom: 10px;
    }
  }

  .right {
    height: 100%;
    flex: 1;
  }
}
</style>